[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'MaskEdit' (#lcl)

# TCustomMaskEdit.CheckCursor

Updates the position for the cursor (or caret) when an EditMask is used in the control.

## Declaration

Source position: maskedit.pp line 302

`protected procedure TCustomMaskEdit.CheckCursor;`

## Description

CheckCursor is a procedure used to update the position for the cursor (or caret) when an EditMask is used in the control. CheckCursor uses the value from IsMasked to determine if the cursor position needs to be updated by calling SetCursorPos. When IsMasked returns False, no actions are performed in the method.

Used in the implementation of the SetSpaceChar method.

## See also

TCustomMaskEdit.IsMasked |  | True if a non-empty value has been assigned to EditMask.
TCustomMaskEdit.SpaceChar |  | Contains the value used to represent Space (#32) characters in the control value.